﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using C1.CollectionView;
using C1CollectionView101.Resources;
using C1.Win.CollectionView;

namespace C1CollectionView101.View
{
    public partial class Moving : UserControl
    {
        C1CollectionView<Customer> _collectionView;
        Menu _owner;

        public Moving()
        {
            InitializeComponent();
            lblTitle.Text = AppResources.MovingTitle;                      
        }

        public void ShowPage(Menu owner)
        {
            _owner = owner;
            UpdateVideos();
        }

        private void UpdateVideos()
        {
            try
            {
                lblMessage.Visible = false;
                grid.Visible = false;
                cmbSearch.Visible = false;
                _collectionView = new C1CollectionView<Customer>(Customer.GetCustomerList(100));
                grid.DataSource = new C1CollectionViewBindingList(_collectionView);
                cmbSearch.DisplayMember = "Email";
                cmbSearch.DataSource = new C1CollectionViewBindingList(_collectionView);
                _collectionView.CurrentChanged += _collectionView_CurrentChanged;
                grid.Visible = true;
                cmbSearch.Visible = true;
            }
            catch
            {
                lblMessage.Text = AppResources.InternetConnectionError;
                lblMessage.Visible = true;
            }
        }

        private void _collectionView_CurrentChanged(object sender, EventArgs e)
        {
            grid.FirstDisplayedScrollingRowIndex = _collectionView.CurrentPosition;
            grid.ClearSelection();
            grid.Rows[_collectionView.CurrentPosition].Selected = true;            
        }

        private void btnBack_Click(object sender, EventArgs e)
        {
            _owner.SelectedSampleViewType = -1;
        }

        private void cmbSearch_SelectedIndexChanged(object sender, EventArgs e)
        {
            _collectionView.MoveCurrentTo(cmbSearch.SelectedItem);
        }
    }
}
